{
    "resblock": "1",
    "num_gpus": 8,
    "batch_size": 140,
    "learning_rate": 0.00002,
    "adam_b1": 0.5,
    "adam_b2": 0.9,
    "lr_decay": 0.98,
    "seed": 1234,

    "upsample_rates": [8,5,4,2],
    "upsample_kernel_sizes": [16,11,8,4],
    "upsample_initial_channel": 512,
    "resblock_kernel_sizes": [3,5,7,9,11,13],
    "resblock_dilation_sizes": [[1,3,5], [1,3,5], [1,3,5], [1,3,5], [1,3,5], [1,3,5]],

    "segment_size": 48000,
    "num_mels": 80,
    "num_freq": 1024,
    "n_fft": 1024,
    "hop_size": 240,
    "win_size": 1024,

    "sampling_rate": 48000,

    "n_code_groups": 2,
    "n_codes": 1024,
    "codebook_loss_lambda": 1.0,
    "commitment_loss_lambda": 0.25,

    "fmin": 0,
    "fmax": 48000,
    "fmax_for_loss": null,

    "num_workers": 24,

    "dist_config": {
        "dist_backend": "nccl",
        "dist_url": "tcp://localhost:54321",
        "world_size": 1
    }
}
